diff --git a/.idea/gradle.xml b/.idea/gradle.xml
index c036f36c37..db9382e9a6 100644
--- a/.idea/gradle.xml
+++ b/.idea/gradle.xml
@@ -35,7 +35,6 @@
-
diff --git a/app/build.gradle b/app/build.gradle
index c0b0f1adff..0ef830f124 100644
--- a/app/build.gradle
+++ b/app/build.gradle
@@ -270,7 +270,6 @@ dependencies {
implementation project(':foudations:mogo-commons')
implementation project(':modules:mogo-module-common')
implementation project(':modules:mogo-module-search')
- implementation project(':modules:mogo-module-guide')
implementation project(':modules:mogo-module-authorize')
implementation project(':modules:mogo-module-media')
implementation project(':modules:mogo-module-service')
diff --git a/gradle.properties b/gradle.properties
index 4809a406b2..b26cc23108 100644
--- a/gradle.properties
+++ b/gradle.properties
@@ -29,34 +29,37 @@ PASSWORD=xintai2018
RELEASE=false
# 模块版本
## 工程内模块
-MOGO_COMMONS_VERSION=1.2.1.20
-MOGO_UTILS_VERSION=1.2.1.20
-MAP_AMAP_VERSION=1.2.1.20
-MAP_AUTONAVI_VERSION=1.2.1.20
-MOGO_MAP_VERSION=1.2.1.20
-MOGO_MAP_API_VERSION=1.2.1.20
-MOGO_SERVICE_VERSION=1.2.1.20
-MOGO_SERVICE_API_VERSION=1.2.1.20
-MOGO_CONNECTION_VERSION=1.2.1.20
-MOGO_MODULE_APPS_VERSION=1.2.1.20
-MOGO_MODULE_NAVI_VERSION=1.2.1.20
-MOGO_MODULE_SHARE_VERSION=1.2.1.20
-MOGO_MODULE_COMMON_VERSION=1.2.1.20
-MOGO_MODULE_MAIN_VERSION=1.2.1.20
-MOGO_MODULE_MAP_VERSION=1.2.1.20
-MOGO_MODULE_SERVICE_VERSION=1.2.1.21
-MOGO_MODULE_EXTENSIONS_VERSION=1.2.1.20
-MOGO_MODULE_SEARCH_VERSION=1.2.1.20
-MOGO_MODULE_BACK_VERSION=1.2.1.20
-MOGO_MODULE_GPS_SIMULATOR_VERSION=1.2.1.20
-MOGO_MODULE_GPS_SIMULATOR_DEBUG_VERSION=1.2.1.20
-MOGO_MODULE_GPS_SIMULATOR_NOOP_VERSION=1.2.1.20
-MOGO_MODULE_AUTHORIZE_VERSION=1.2.1.20
-MOGO_MODULE_GUIDE_VERSION=1.2.1.20
-MOGO_MODULE_MEDIA_VERSION=1.2.1.20
-MOGO_MODULE_MAIN_LAUNCHER_VERSION = 1.2.1.20
-MOGO_MODULE_MAIN_INDEPENDENT_VERSION = 1.2.1.20
-MOGO_MODULE_V2X_VERSION=1.2.1.20
+MOGO_COMMONS_VERSION=1.2.1.22
+MOGO_UTILS_VERSION=1.2.1.22
+MAP_AMAP_VERSION=1.2.1.22
+MAP_AUTONAVI_VERSION=1.2.1.22
+MOGO_MAP_VERSION=1.2.1.22
+MOGO_MAP_API_VERSION=1.2.1.22
+MOGO_SERVICE_VERSION=1.2.1.22
+MOGO_SERVICE_API_VERSION=1.2.1.22
+MOGO_CONNECTION_VERSION=1.2.1.22
+MOGO_MODULE_APPS_VERSION=1.2.1.22
+MOGO_MODULE_NAVI_VERSION=1.2.1.22
+MOGO_MODULE_SHARE_VERSION=1.2.1.22
+MOGO_MODULE_COMMON_VERSION=1.2.1.22
+MOGO_MODULE_MAIN_VERSION=1.2.1.22
+MOGO_MODULE_MAP_VERSION=1.2.1.22
+MOGO_MODULE_SERVICE_VERSION=1.2.1.22
+MOGO_MODULE_EXTENSIONS_VERSION=1.2.1.22
+MOGO_MODULE_SEARCH_VERSION=1.2.1.22
+MOGO_MODULE_BACK_VERSION=1.2.1.22
+MOGO_MODULE_GPS_SIMULATOR_VERSION=1.2.1.22
+MOGO_MODULE_GPS_SIMULATOR_DEBUG_VERSION=1.2.1.22
+MOGO_MODULE_GPS_SIMULATOR_NOOP_VERSION=1.2.1.22
+MOGO_MODULE_AUTHORIZE_VERSION=1.2.1.22
+MOGO_MODULE_GUIDE_VERSION=1.2.1.22
+MOGO_MODULE_MEDIA_VERSION=1.2.1.22
+MOGO_MODULE_MAIN_LAUNCHER_VERSION = 1.2.1.22
+MOGO_MODULE_MAIN_INDEPENDENT_VERSION = 1.2.1.22
+MOGO_MODULE_V2X_VERSION=1.2.1.22
+# 基础服务实现:passport、socket、location
+MOGO_BASE_SERVICES_APK_VERSION = 1.2.1.22
+MOGO_BASE_SERVICES_SDK_VERSION = 1.2.1.22
## 工程外部模块
# 探路
@@ -97,10 +100,6 @@ MOGO_MODULE_OBU_VERSION = 1.2.1.10-SNAPSHOT
MOGO_MODULE_SPLASH_VERSION = 1.0.0-SNAPSHOT
MOGO_MODULE_SPLASH_NOOP_VERSION = 1.0.0-SNAPSHOT
-# 基础服务实现:passport、socket、location
-MOGO_BASE_SERVICES_APK_VERSION = 1.0.0
-MOGO_BASE_SERVICES_SDK_VERSION = 1.0.0
-
## 产品库必备配置
applicationId=com.mogo.launcer
applicationName=IntelligentPilot
diff --git a/modules/mogo-module-main/src/main/java/com/mogo/module/main/MainActivity.java b/modules/mogo-module-main/src/main/java/com/mogo/module/main/MainActivity.java
index 5384a5c664..92a2814aeb 100644
--- a/modules/mogo-module-main/src/main/java/com/mogo/module/main/MainActivity.java
+++ b/modules/mogo-module-main/src/main/java/com/mogo/module/main/MainActivity.java
@@ -310,6 +310,7 @@ public class MainActivity extends MvpActivity< MainView, MainPresenter > impleme
mMogoMapUIController = null;
mMogoFragmentManager = null;
mServiceApis.getAdasControllerApi().release();
+ mServiceApis.getRefreshStrategyControllerApi().clearAllData();
AIAssist.getInstance( this ).release();
}
}
diff --git a/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.png b/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.png
deleted file mode 100644
index e322c3ccb2..0000000000
Binary files a/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.png and /dev/null differ
diff --git a/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.webp b/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.webp
new file mode 100644
index 0000000000..d39b3abe55
Binary files /dev/null and b/modules/mogo-module-main/src/main/res/drawable-xhdpi-1920x1000/module_main_launcher_bg.webp differ
diff --git a/modules/mogo-module-service/src/main/java/com/mogo/module/service/MogoServices.java b/modules/mogo-module-service/src/main/java/com/mogo/module/service/MogoServices.java
index 2e3a280d45..3b184598cb 100644
--- a/modules/mogo-module-service/src/main/java/com/mogo/module/service/MogoServices.java
+++ b/modules/mogo-module-service/src/main/java/com/mogo/module/service/MogoServices.java
@@ -764,6 +764,14 @@ public class MogoServices implements IMogoMapListener,
restartAutoRefreshAtTime( time, true );
}
+ public void clearAllData(){
+ try {
+ MarkerServiceHandler.getMapService().getMarkerManager( mContext ).removeMarkers();
+ } catch ( Exception e ) {
+ e.printStackTrace();
+ }
+ }
+
private void restartAutoRefreshAtTime( long time, boolean stopOnlineCarRefresh ) {
if ( time < 0 ) {
Logger.w( TAG, "ignore refresh request case time < 0" );
diff --git a/modules/mogo-module-service/src/main/java/com/mogo/module/service/strategy/MogoRefreshStrategyController.java b/modules/mogo-module-service/src/main/java/com/mogo/module/service/strategy/MogoRefreshStrategyController.java
index 51aaf27073..9d09334d74 100644
--- a/modules/mogo-module-service/src/main/java/com/mogo/module/service/strategy/MogoRefreshStrategyController.java
+++ b/modules/mogo-module-service/src/main/java/com/mogo/module/service/strategy/MogoRefreshStrategyController.java
@@ -21,6 +21,11 @@ public class MogoRefreshStrategyController implements IMogoRefreshStrategyContro
MogoServices.getInstance().restartAutoRefreshAtTime( delay );
}
+ @Override
+ public void clearAllData() {
+ MogoServices.getInstance().clearAllData();
+ }
+
@Override
public void init( Context context ) {
diff --git a/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.png b/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.png
deleted file mode 100644
index e322c3ccb2..0000000000
Binary files a/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.png and /dev/null differ
diff --git a/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.webp b/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.webp
new file mode 100644
index 0000000000..d39b3abe55
Binary files /dev/null and b/modules/mogo-module-splash/src/main/res/drawable-xhdpi-1920x1000/module_byd_splash.webp differ
diff --git a/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.png b/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.png
deleted file mode 100644
index e322c3ccb2..0000000000
Binary files a/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.png and /dev/null differ
diff --git a/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.webp b/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.webp
new file mode 100644
index 0000000000..d39b3abe55
Binary files /dev/null and b/modules/mogo-module-splash/src/main/res/drawable/module_byd_splash.webp differ
diff --git a/services/mogo-service-api/src/main/java/com/mogo/service/strategy/IMogoRefreshStrategyController.java b/services/mogo-service-api/src/main/java/com/mogo/service/strategy/IMogoRefreshStrategyController.java
index 0cc09c1221..fe0ef29d05 100644
--- a/services/mogo-service-api/src/main/java/com/mogo/service/strategy/IMogoRefreshStrategyController.java
+++ b/services/mogo-service-api/src/main/java/com/mogo/service/strategy/IMogoRefreshStrategyController.java
@@ -16,4 +16,9 @@ public interface IMogoRefreshStrategyController extends IProvider {
* @param delay 单位(ms) 0 为则立即刷新,为负值则忽略
*/
void restartAutoRefreshAtTime( int delay );
+
+ /**
+ * 清除所有数据
+ */
+ void clearAllData();
}
\ No newline at end of file
diff --git a/settings.gradle b/settings.gradle
index 5a2966c968..01b66b30c6 100644
--- a/settings.gradle
+++ b/settings.gradle
@@ -22,7 +22,7 @@ include ':modules:mogo-module-share'
include ':modules:mogo-module-service'
include ':modules:mogo-module-back'
include ':modules:mogo-module-authorize'
-include ':modules:mogo-module-guide'
+//include ':modules:mogo-module-guide'
include ':libraries:map-amap'
include ':libraries:mogo-map-api'
include ':modules:mogo-module-apps'
diff --git a/upload.sh b/upload.sh
index 6a00beaf4c..e0652a5cec 100755
--- a/upload.sh
+++ b/upload.sh
@@ -1,102 +1,67 @@
#!/bin/bash
./gradlew :foudations:mogo-utils:clean :foudations:mogo-utils:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ];then exit; fi
./gradlew :foudations:mogo-commons:clean :foudations:mogo-commons:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :libraries:mogo-map-api:clean :libraries:mogo-map-api:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :services:mogo-service-api:clean :services:mogo-service-api:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :libraries:map-amap:clean :libraries:map-amap:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :libraries:map-autonavi:clean :libraries:map-autonavi:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :libraries:mogo-map:clean :libraries:mogo-map:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-common:clean :modules:mogo-module-common:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :services:mogo-service:clean :services:mogo-service:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-obu:clean :modules:mogo-module-obu:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-map:clean :modules:mogo-module-map:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-apps:clean :modules:mogo-module-apps:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-gps-simulator:clean :modules:mogo-module-gps-simulator:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-gps-simulator-debug:clean :modules:mogo-module-gps-simulator-debug:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-gps-simulator-noop:clean :modules:mogo-module-gps-simulator-noop:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-service:clean :modules:mogo-module-service:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-authorize:clean :modules:mogo-module-authorize:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-share:clean :modules:mogo-module-share:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-extensions:clean :modules:mogo-module-extensions:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-search:clean :modules:mogo-module-search:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-media:clean :modules:mogo-module-media:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-v2x:clean :modules:mogo-module-v2x:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-back:clean :modules:mogo-module-back:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-main:clean :modules:mogo-module-main:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-guide:clean :modules:mogo-module-guide:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :main-extensions:mogo-module-main-independent:clean :main-extensions:mogo-module-main-independent:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :main-extensions:mogo-module-main-launcher:clean :main-extensions:mogo-module-main-launcher:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-event-panel:clean :modules:mogo-module-event-panel:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-event-panel-noop:clean :modules:mogo-module-event-panel-noop:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-left-panel:clean :modules:mogo-module-left-panel:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :modules:mogo-module-left-panel-noop:clean :modules:mogo-module-left-panel-noop:uploadArchives
-if [ $? -eq 0 ]; then
-./gradlew :modules:mogo-module-byd:clean :modules:mogo-module-byd:uploadArchives
-if [ $? -eq 0 ]; then
+if [ $? -ne 0 ]; then exit; fi
./gradlew :foudations:mogo-base-services-apk:clean :foudations:mogo-base-services-apk:uploadArchives
-if [ $? -eq 0 ]; then
-./gradlew :foudations:mogo-base-services-sdk:clean :foudations:mogo-base-services-sdk:uploadArchives
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
-fi
+if [ $? -ne 0 ]; then exit; fi
+./gradlew :foudations:mogo-base-services-sdk:clean :foudations:mogo-base-services-sdk:uploadArchives
\ No newline at end of file